Upserts one DLP rule by class (admin-tier: authorizing egress is privileged governance; self-audited).
PUT
/v1/m/inferenceproxy/dlp/rules
const url = 'https://example.com/v1/m/inferenceproxy/dlp/rules';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"action":"example","class":"example","created_by":"example","id":"example","note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/inferenceproxy/dlp/rules \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "action": "example", "class": "example", "created_by": "example", "id": "example", "note": "example" }'Upserts one DLP rule by class (admin-tier: authorizing egress is privileged governance; self-audited).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ”The handler decodes one strict JSON document, bounded at 1 MiB.
Media type application/json
object
action
required
After trimming and lowercasing, must be allow or deny.
string
class
required
After trimming and lowercasing, must be non-empty and at most 64 UTF-8 bytes.
string
created_by
Example generated
{ "action": "example", "class": "example", "created_by": "example", "id": "example", "note": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}